<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
      crossorigin="anonymous"
    />
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css"
      integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn"
      crossorigin="anonymous"
    />
    <link rel="stylesheet" href="/style.css" />
    <title>Document</title>
  </head>
  <body>
    <nav class="friend-list-box">
      <div class="friend-list-header">
        <span>User Online: </span>
        <span id="onlineUser">0</span>
      </div>
      <div class="friend-box">
        <ul class="list-group" id="friend-list"></ul>
      </div>
    </nav>
    <div class="container mt-4" id="main-container">
      <h1>Home</h1>
      <form action="/logout" method="POST">
        <button
          type="submit"
          class="btn btn-primary"
          id="logoutBtnHidden"
          style="visibility: hidden; position: fixed"
        >
          Logout
        </button>
      </form>
      <button class="btn btn-primary" type="button" id="logoutBtn">
        Logout
      </button>
      <div>
        <% if(email.length>0){ %>
        <h4 class="alert alert-secondary mt-4">
          <p id="userID" hidden><%= userID %></p>
          <span>USER: </span><span id="email"><%= email %></span>
        </h4>

        <h4 class="alert alert-secondary mt-4">Welcome <%= name %></h4>
        <% } else{ %> <% } %>
      </div>
      <div class="container">
        <div class="title">
          <h3>Chat Box</h3>
        </div>
        <div class="message-box">
          <ul class="list-group list-group-flush" id="message-list"></ul>
          <div class="info"></div>
        </div>

        <div class="card-footer">
          <div class="input-group">
            <input
              type="text"
              class="form-control"
              id="message"
              placeholder="Send new message"
            />
            <div class="input-group-append">
              <button class="btn btn-success" type="button" id="messageBtn">
                Send
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>

    <script
      src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"
      integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
      crossorigin="anonymous"
    ></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/4.4.1/socket.io.js"></script>
    <script src="chat.js"></script>
  </body>
</html>
